import { BuilderContext } from '@angular-devkit/architect';
import * as AWS from 'aws-sdk';
import { Schema } from './schema';
export declare class Uploader {
    private _context;
    private _s3;
    private _bucket;
    private _region;
    private _subFolder;
    private _builderConfig;
    constructor(context: BuilderContext, builderConfig: Schema);
    upload(files: string[], filesPath: string): Promise<boolean>;
    uploadFiles(files: string[], filesPath: string): Promise<void[]>;
    uploadFile(localFilePath: string, originFilePath: string): Promise<void>;
    deleteStaleFiles(localFiles: string[]): Promise<true | import("aws-sdk/lib/request").PromiseResult<AWS.S3.DeleteObjectsOutput, AWS.AWSError>>;
    deleteAllFiles(): Promise<true | import("aws-sdk/lib/request").PromiseResult<AWS.S3.DeleteObjectsOutput, AWS.AWSError>>;
    private listObjectKeys;
    private deleteFiles;
}
